package com.huigou.topsun.technology.application;


import com.huigou.topsun.technology.domain.model.ProcessResource;
import com.huigou.topsun.technology.vo.ProcessResourceVo;

import java.util.List;
import java.util.Map;

/**
* @author 16508
* @description 针对表【process_resource(工序资源)】的数据库操作Service
* @createDate 2023-11-22 11:04:03
*/
public interface ProcessResourceApplication {

    public static final String QUERY_XML_FILE_PATH = "config/topsun/technology/processResource.xml";

    ProcessResource saveProcessResource(ProcessResource processResource);

    void deleteByTechnologyProcessId(String technologyProcessId);

    void deleteByIds(List<String> ids);

    void saveProcessResource(String processId, List<ProcessResource> resourceList);

    List<ProcessResourceVo> slicedProcessResourceList(String processId);

}
